低危 SQLite 资源管理错误漏洞

CVE编号

CVE-2020-13630

利用情况

暂无

补丁情况

官方补丁

披露时间

2020-05-28
漏洞描述
SQLite是美国D.Richard Hipp软件开发者的一套基于C语言的开源嵌入式关系数据库管理系统。该系统具有独立性、隔离性、跨平台等特点。 SQLite 3.32.0之前版本中的ext/fts3/fts3.c文件的‘snippet()’函数存在资源管理错误漏洞。攻击者可借助特制的请求利用该漏洞造成拒绝服务。

解决建议
目前厂商已发布升级补丁以修复漏洞,补丁获取链接:
https://sqlite.org/src/info/0d69f76f0865f962
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 sqlite sqlite * Up to
(excluding)
3.32.0
运行在以下环境
系统 centos_8 sqlite3 * Up to
(excluding)
3.26.0-11.el8
运行在以下环境
系统 debian_10 sqlite3 * Up to
(excluding)
3.27.2-3+deb10u1
运行在以下环境
系统 debian_9 sqlite3 * Up to
(excluding)
3.16.2-5+deb9u2
运行在以下环境
系统 fedoraproject fedora 32 -
运行在以下环境
系统 fedora_32 sqlite3 * Up to
(excluding)
3.32.1-1.fc32
运行在以下环境
系统 opensuse_Leap_15.2 sqlite3 * Up to
(excluding)
0-3.36.0-lp152.4.3.1
运行在以下环境
系统 opensuse_Leap_15.3 sqlite3 * Up to
(excluding)
3.36.0-3.12.1
运行在以下环境
系统 oracle linux_8 sqlite3 * Up to
(excluding)
3.26.0-11.el8
运行在以下环境
系统 oracle_8 sqlite3 * Up to
(excluding)
3.26.0-11.el8
运行在以下环境
系统 redhat_8 sqlite3 * Up to
(excluding)
3.26.0-11.el8
运行在以下环境
系统 suse_12_SP5 sqlite3 * Up to
(excluding)
0-3.36.0-9.18.1
运行在以下环境
系统 ubuntu_16.04 sqlite3 * Up to
(excluding)
3.11.0-1ubuntu1.5
运行在以下环境
系统 ubuntu_16.04.7_lts sqlite3 * Up to
(excluding)
3.11.0-1ubuntu1.5
运行在以下环境
系统 ubuntu_16.04_lts sqlite3 * Up to
(excluding)
3.11.0-1ubuntu1.5
运行在以下环境
系统 ubuntu_18.04 sqlite3 * Up to
(excluding)
3.22.0-1ubuntu0.4
运行在以下环境
系统 ubuntu_18.04.5_lts sqlite3 * Up to
(excluding)
3.22.0-1ubuntu0.4
运行在以下环境
系统 ubuntu_18.04_lts sqlite3 * Up to
(excluding)
3.22.0-1ubuntu0.4
运行在以下环境
系统 ubuntu_20.04 sqlite3 * Up to
(excluding)
3.31.1-4ubuntu0.1
运行在以下环境
系统 unionos_20 sqlite3 * Up to
(excluding)
3.27.2.2-1+dde
阿里云评分
2.3
  • 攻击路径
    本地
  • 攻击复杂度
    困难
  • 权限要求
    普通权限
  • 影响范围
    有限影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    无影响
  • 数据完整性
    无影响
  • 服务器危害
    无影响
  • 全网数量
    100
CWE-ID 漏洞类型
CWE-416 释放后使用
阿里云安全产品覆盖情况